Skip to main content
POST
https://api.dintero.com/v1
/
examples
/
checkout_transaction
checkout_transaction
curl --request POST \
  --url https://api.dintero.com/v1/examples/checkout_transaction \
  --header 'content-type: <content-type>' \
  --header 'event: <event>' \
  --header 'event-delivery: <event-delivery>' \
  --data '
{
  "account_id": "P12345678",
  "event": "checkout_transaction",
  "event_delivery": "9ebb6d41-dca5-484e-8330-9c9fa96b60ba",
  "transaction": {
    "id": "P12345678.465UfBENeLpkBvwmqfTC4k",
    "session_id": "P12345678.465U8CUzaPVpneu1wt8Wei",
    "merchant_reference": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "merchant_reference_2": "<string>"
  }
}
'

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

event
string
required
event-delivery
string
required
event-signature
string
content-type
string
required

Body

application/json
account_id
string
required
Example:

"P12345678"

event
enum<string>
required
Available options:
checkout_transaction
Example:

"checkout_transaction"

event_delivery
string<uuid>
required
Example:

"9ebb6d41-dca5-484e-8330-9c9fa96b60ba"

transaction
object
required

The transaction details, see Checkout API https://docs.dintero.com/checkout-api.html#operation/transactions_id_get for complete description of all properties that can be included in the transaction object

Response

event handled